%define oname py2cairo

Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.10.0
Release:	%mkrel 6
License:	LGPLv2+
Group:		Development/Python
URL:		http://cairographics.org/pycairo
# Python 2
Source0:	http://cairographics.org/releases/%{oname}-%{version}.tar.bz2
# Python 3
Source1:	http://cairographics.org/releases/pycairo-%{version}.tar.bz2 
Patch0:		py2cairo-1.10.0-link.patch
Patch1:         pycairo-1.10.0-fix-waf-build.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	python-devel >= 2.6
BuildRequires:  python3-devel
BuildRequires:  waf-python3
Requires:	cairo >= 1.10.0
Provides:	%{oname} = %{version}-%{release}

%description
Aset of Python bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
Development files for %{name}.

# Python 3
%package -n python3-cairo
Summary:        Python 3 bindings for the cairo library
Group:		Development/Python

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary:        Libraries and headers for python3-cairo
Group:		Development/Python
Requires:       python3-cairo = %{version}-%{release}
Requires:       cairo-devel
Requires:       pkgconfig
Requires:       python3-devel

%description -n python3-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with python3-cairo.


%prep
%setup -q -c -T
# Python 2
tar xf %{SOURCE0}
mv %{oname}-%{version} python-cairo
pushd python-cairo
%patch0 -p0
touch ChangeLog
popd

# Python 3
tar xf %{SOURCE1}
mv pycairo-%{version} python3-cairo
pushd python3-cairo
%patch1 -p0
%__python3_waf --version
popd

%build
# Python 2
pushd python-cairo
autoreconf -fi
%configure2_5x
%make
popd

# Python 3
pushd python3-cairo
export PYTHON="%{_bindir}/python3"
CFLAGS="-I/usr/include/python%{python3_version} -lpython%{python3_version}m" %configure_python3_waf
%python3_waf
# remove executable bits from examples
find ./examples/ -type f -print0 | xargs -0 chmod -x
popd

%check
pushd python-cairo
make check
popd

%install
# Python 2
pushd python-cairo
%makeinstall_std
popd

# Python 3
pushd python3-cairo
%python3_waf_install
popd

# add executable bit to the .so libraries so we strip the debug info
find %{buildroot} -name '*.so' | xargs chmod +x
find %{buildroot} -name '*.la' | xargs rm -f

%files 
%{py_platsitedir}/cairo

%files devel
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo
%{py3_platsitedir}/cairo

%files -n python3-cairo-devel
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog

* Fri Feb 15 2013 fwang <fwang> 1.10.0-6.mga3
+ Revision: 398520
- do not extract archive vebose

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 378510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 philippem <philippem> 1.10.0-4.mga3
+ Revision: 339068
+ rebuild (emptylog)

* Sat Sep 29 2012 fwang <fwang> 1.10.0-3.mga3
+ Revision: 300323
- update libname
- rebuild for new py 3.3

* Tue Jul 03 2012 kamil <kamil> 1.10.0-2.mga3
+ Revision: 267033
- remove waf dependency for python3 build (rpm macros for python3 version of waf are packaged now in waf-python3)

* Tue Jul 03 2012 kamil <kamil> 1.10.0-1.mga3
+ Revision: 267003
- add waf-python3 to BR
- add P1 pycairo-1.10.0-fix-waf-build.patch
- add support for Python 3

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135091
- fix linkage
- new version 1.10.0

* Sat Apr 16 2011 ahmad <ahmad> 1.8.10-1.mga1
+ Revision: 86810
- update to 1.8.10, using py2cairo tarball
- bump the cairo required version
- provide py2cairo, this is the branch that supports python 2.x

* Mon Jan 17 2011 pterjan <pterjan> 1.8.8-3.mga1
+ Revision: 20670
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.8.8-2.mga1
+ Revision: 8417
- imported package python-cairo

